;InnoSetupVersion=5.0.4

[Setup]
AppName=AllWallpapers
AppVerName=AllWallpapers 2.0
AppId={{69342DCB-EED4-421E-9CD6-B56C7C96506D}
AppVersion=2.0
AppPublisher=Nimble Software
AppPublisherURL=http://www.nimblesoftware.com/
AppSupportURL=http://www.nimblesoftware.com/support/
AppUpdatesURL=http://www.nimblesoftware.com/download/
AppMutex=AllWallpapers_OneInstance32.Default
DefaultDirName={pf}\AllWallpapers
DefaultGroupName=AllWallpapers
OutputBaseFilename=awpsetup
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\awp.exe"; DestDir: "{app}"; Flags: restartreplace uninsrestartdelete ignoreversion 
Source: "{app}\awp.hlp"; DestDir: "{app}"; 
Source: "{app}\awp.cnt"; DestDir: "{app}"; 
Source: "{app}\sounds\default.wav"; DestDir: "{app}\sounds"; 
Source: "{app}\collection\sla_mercedes.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\z8-bmw-2.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\800voyBorged.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\aston3-600.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\car1.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\car2.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\flower.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\flower2.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\mercedes.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\nature1.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\parrot.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\rose.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\ship_in_sea.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\terminator3.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\cartoon1.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\cartoon2.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\collection\jedi.jpg"; DestDir: "{app}\collection"; Flags: onlyifdoesntexist 
Source: "{app}\sounds\sound6.WAV"; DestDir: "{app}\sounds"; 
Source: "{app}\sounds\sound1.WAV"; DestDir: "{app}\sounds"; 
Source: "{app}\sounds\sound2.WAV"; DestDir: "{app}\sounds"; 
Source: "{app}\sounds\sound3.WAV"; DestDir: "{app}\sounds"; 
Source: "{app}\sounds\sound4.WAV"; DestDir: "{app}\sounds"; 
Source: "{app}\sounds\sound5.WAV"; DestDir: "{app}\sounds"; 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "awp"; ValueType: String; ValueData: "{app}\awp.exe"; Flags: createvalueifdoesntexist uninsdeletevalue noerror 
Root: HKCU; Subkey: "Software\Nimble Software"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\awp.exe"; WorkingDir: "{app}"; Description: "AllWallpapers"; Flags: postinstall nowait

[Icons]
Name: "{group}\AllWallpapers"; Filename: "{app}\awp.exe"; 
Name: "{group}\Help"; Filename: "{app}\awp.hlp"; 

[UninstallDelete]
Type: files; Name: "{app}\awp.hlp"; 
Type: files; Name: "{app}\awp.gid"; 
Type: files; Name: "{app}\awp.cnt"; 
Type: files; Name: "{app}\*.ini"; 
Type: files; Name: "{app}\*.fts"; 
Type: files; Name: "{app}\*.ftg"; 
Type: files; Name: "{app}\awp.exe"; 
Type: dirifempty; Name: "{app}"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
